Bug 482963 - Review Request: perl-Network-IPv4Addr - Network-IPv4Addr Perl module
Summary: Review Request: perl-Network-IPv4Addr - Network-IPv4Addr Perl module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-01-29 01:49 UTC by Dennis Gilmore
Modified: 2009-05-05 04:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-05 04:12:29 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dennis Gilmore 2009-01-29 01:49:00 UTC
Spec URL: http://ausil.us/packages/perl-Network-IPv4Addr.spec
SRPM URL: http://ausil.us/packages/perl-Network-IPv4Addr-0.05-12.fc10.src.rpm
Description: 
Network::IPv4Addr provides functions for parsing IPv4 addresses both
in traditional address/netmask format and in the new CIDR format.
There are also methods for calculating the network and broadcast
address and also to see check if a given address is in a specific
network.

Comment 1 Parag AN(पराग) 2009-01-29 03:45:15 UTC
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1090313
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
1c4a9278ada5557a4895ee44b0312888  Network-IPv4Addr-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test is ok
+ Package perl-Network-IPv4Addr-0.05-12.fc11 =>
  Provides: perl(Network::IPv4Addr) = 0.05
  Requires: /usr/bin/perl perl(AutoLoader) perl(Carp) perl(Exporter) perl(Getopt::Long) perl(Network::IPv4Addr) perl(strict) perl(vars)

Suggestions:
1) Use complete source url as
http://search.cpan.org/CPAN/authors/id/F/FR/FRAJULAC/Network-IPv4Addr-0.05.tar.gz


APPROVED.

Comment 2 Dennis Gilmore 2009-01-29 05:02:31 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: perl-Network-IPv4Addr
Short Description: Network-IPv4Addr Perl module
Owners: dgilmore
Branches: F-9 EL-5 F-10
InitialCC: perl-sig

Comment 3 Dennis Gilmore 2009-01-29 05:02:51 UTC
CVS Done

Comment 4 Dennis Gilmore 2009-01-29 05:03:26 UTC
New Package CVS Request
=======================
Package Name: perl-Network-IPv4Addr
Short Description: Network-IPv4Addr Perl module
Owners: ausil
Branches: F-9 EL-5 F-10
InitialCC: perl-sig

use the right account name.

Comment 5 Parag AN(पराग) 2009-01-29 05:31:14 UTC
please remove OPTIMIZE="$RPM_OPT_FLAGS" from %build as this is noarch package.

Comment 6 Dennis Gilmore 2009-01-29 22:10:23 UTC
cleaned up in -13 package commited to cvs.

Comment 7 Fedora Update System 2009-02-05 02:21:44 UTC
perl-Network-IPv4Addr-0.05-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Network-IPv4Addr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1356

Comment 8 Fedora Update System 2009-02-05 02:25:05 UTC
perl-Network-IPv4Addr-0.05-13.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-Network-IPv4Addr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1381


Note You need to log in before you can comment on or make changes to this bug.